Subject: Re: vxlan mac address generation

From: Ido Schimmel <[email-masked]>
Date: Wed, 15 Apr 2020 13:21:31 +0300

On Wed, Apr 15, 2020 at 05:28:00PM +1000, Russell Strong wrote:
> I tried debian ( 4.19.0-8-amd64 ) and got the same result as you.  I am
> using Fedora 31 ( 5.5.15-200.fc31.x86_64 ).  I have discovered a
> difference:
> 
> On fedora /sys/class/net/v0/addr_assign_type = 3
> On debian /sys/class/net/v0/addr_assign_type = 1
> 
> The debian value is what I would expect (NET_ADDR_RANDOM).  I thought
> addr_assign_type was controlled by the driver.  Do you think this could
> be a Fedora bug, or perhaps something has changed between 4.19 and 5.5?

I assume you're using systemd 242 or later. I also hit this issue.
Documented the solution here:

https://github.com/Mellanox/mlxsw/wiki/Persistent-Configuration#required-changes-to-macaddresspolicy